import { Router } from 'express'
import { getOxManifests } from '../manifests.js'

const router = new Router()

router.get('/manifests', async function (req, res, next) {
  try {
    if (res.body) return
    res.send(await getOxManifests({ version: res.version }))
  } catch (err) {
    next(err)
  }
})

export default router
